Page MenuHomePhabricator

"Get from Flickr" does nothing
Closed, ResolvedPublic

Description

And OOjs UI finally found its way into UploadWizard. Unfortunately pressing the "Get from Flickr" button with the input field (Flickr URL) filled with URL https://www.flickr.com/photos/rillke/ or https://www.flickr.com/photos/rillke/sets/72157646495502983 just does nothing. Not even a request to Flickr (network tab).

This issue appears on the live site. I have the necessary privileges for Flickr Upload (upload_by_url) and there is nothing odd in the JavaScript console.

Fortunately there is http://tools.wmflabs.org/flickr2commons/

Event Timeline

Rillke created this task.May 27 2015, 6:35 PM
Rillke raised the priority of this task from to High.
Rillke updated the task description. (Show Details)
Rillke added a project: UploadWizard.
Rillke added a subscriber: Rillke.
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 27 2015, 6:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Yees, an the course for that is that the button is of type button now where before it was of type submit (or default). Thus, the form is not submitted when the button is pressed.

Rillke claimed this task.May 27 2015, 6:43 PM

Change 214112 had a related patch set uploaded (by Rillke):
FlickrUpload form: Button needs to be of type submit

https://gerrit.wikimedia.org/r/214112

d639454893a04b413b2013b0a67bd35a2f36bff6 is to blame for this regression. Also very subjective commit message.

Change 214112 abandoned by Rillke:
Flickr upload form: Make button of type=submit

Reason:
In favour of I1d891e0feb20d47e12e6acac625b50b7053ec9aa,n,z

https://gerrit.wikimedia.org/r/214112

Change 214112 restored by MarkTraceur:
Flickr upload form: Make button of type=submit

https://gerrit.wikimedia.org/r/214112

Change 214112 merged by jenkins-bot:
Flickr upload form: Make button of type=submit

https://gerrit.wikimedia.org/r/214112

Rillke added a comment.Jun 3 2015, 9:30 AM

Until this landed in production: Try hitting enter after you filled in the URL in the input (clicking the button doesn't do anything).

@Rillke: What is left to do here in the codebase? Can this task be closed as resolved or is more work required (what exactly)?

Rillke closed this task as Resolved.Jun 8 2015, 3:35 PM

@Rillke: What is left to do here in the codebase? Can this task be closed as resolved or is more work required (what exactly)?

Nothing for this issue. Thanks for the reminder.

Change 216721 had a related patch set uploaded (by MarkTraceur):
Flickr upload form: Make button of type=submit

https://gerrit.wikimedia.org/r/216721

Change 216721 merged by jenkins-bot:
Flickr upload form: Make button of type=submit

https://gerrit.wikimedia.org/r/216721